Page status buttons do not appear any more in Wikisource
Closed, ResolvedPublic

Description

  1. Go to https://en.wikisource.org/wiki/Page:Arthur_Stranger--The_Stranger.djvu/14 (or any page in the Page: namespace in Wikisource).
  2. Click "Edit"
  3. Page status buttons do not appear under the edit box (as they should: see the multicolored buttons at https://en.wikisource.org/wiki/Help:Page_status)

These buttons have disappeared approximately one hour ago. I tried at en.wikisource.org and fr.wikisource.org, where others users have reported the same issue in the Scriptorium.

Thank you.

Seudo created this task.Sep 7 2017, 8:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 7 2017, 8:10 PM
Seudo updated the task description. (Show Details)Sep 7 2017, 8:16 PM
BethNaught triaged this task as Unbreak Now! priority.Sep 7 2017, 9:15 PM
Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes. · View Herald TranscriptSep 7 2017, 9:15 PM
Aklapper added a subscriber: Tpt.

Hi @Seudo, thanks for taking the time to report this!
I'm clueless, CC'ing @Tpt as the last change was https://gerrit.wikimedia.org/r/#/c/376216/ (but does not looks suspicious).

Going to https://en.wikisource.org/w/index.php?title=Page:Arthur_Stranger--The_Stranger.djvu/14&action=edit&debug=true I get no output in the Developer Tools of the browser either.

Seudo added a comment.Sep 7 2017, 9:34 PM

Apparently, the Visual Editor is not affected by this issue. One user has changed the status of several pages while other users could not (see this diff)

Also, I wonder whether this is related to the "Accessible editing buttons" which were enabled a few weeks ago. I noticed that it changed the tab order. (I asked a question about that on the French Wikisource.)

Ratte added a subscriber: Ratte.Sep 7 2017, 9:43 PM

Russian Wikisource: same problem.

Yann added a subscriber: Yann.Sep 8 2017, 3:55 AM

This is a serious issue. It prevents most work on Wikisource. Please fix ASAP.

Hmm, this is probably related to the changes to EditPage::getCheckboxes().

Change 376661 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/ProofreadPage@master] Restore page status buttons

https://gerrit.wikimedia.org/r/376661

Change 376661 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/ProofreadPage@master] Restore page status buttons

https://gerrit.wikimedia.org/r/376661

I haven't tested this, but I think it might work.

Change 376661 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Restore page status buttons

https://gerrit.wikimedia.org/r/376661

Change 376667 had a related patch set uploaded (by Tpt; owner: Legoktm):
[mediawiki/extensions/ProofreadPage@wmf/1.30.0-wmf.17] Restore page status buttons

https://gerrit.wikimedia.org/r/376667

Tpt added a comment.Sep 8 2017, 7:22 AM

I have merged the change into master and created a cherry-pick for a SWAT deployment: https://gerrit.wikimedia.org/r/#/c/376667/

Change 376667 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@wmf/1.30.0-wmf.17] Restore page status buttons

https://gerrit.wikimedia.org/r/376667

Mentioned in SAL (#wikimedia-operations) [2017-09-08T10:35:01Z] <hashar@tin> Synchronized php-1.30.0-wmf.17/extensions/ProofreadPage: Restore page status buttons - T175304 (duration: 00m 50s)

hashar assigned this task to Legoktm.Sep 8 2017, 10:36 AM
hashar closed this task as Resolved.

I have deployed @Legoktm hotfix and the buttons show up again!

Sorry, we are still facing the proble at mr wikisource, at times it loads correctly with proper color coding ant times it does not. yesterday it showed correctly and just now again shows incorrectly as show in this picture.

This example has been taken from https://mr.wikisource.org/wiki/अनुक्रमणिका:Arth_shastrachi_multatve_cropped.pdf an Index page for book from mr wikisource.

Mahitgar reopened this task as Open.Sep 20 2017, 7:03 AM
Samwilson closed this task as Resolved.Sep 20 2017, 7:08 AM
Samwilson added a subscriber: Samwilson.

That's not the same issue. That one's about the fact that the status colours are not being loaded on Index pages; it's being tracked as T114318.